ConvertTreeReaderFactory.StringGroupFromBooleanTreeReader (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class ConvertTreeReaderFactory.StringGroupFromBooleanTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader
    - - org.apache.orc.impl.ConvertTreeReaderFactory.StringGroupFromAnyIntegerTreeReader
      - - org.apache.orc.impl.ConvertTreeReaderFactory.StringGroupFromBooleanTreeReader

- Enclosing class:
    ConvertTreeReaderFactory

      public static class ConvertTreeReaderFactory.StringGroupFromBooleanTreeReader
      extends ConvertTreeReaderFactory.StringGroupFromAnyIntegerTreeReader

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.impl.ConvertTreeReaderFactory.StringGroupFromAnyIntegerTreeReader

      `bytesColVector, longColVector, readerType`

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setConvertVectorElement(int elementNum)` Override this to use convertVector.

    - ### Methods inherited from class org.apache.orc.impl.ConvertTreeReaderFactory.StringGroupFromAnyIntegerTreeReader

      `nextVector`

    - ### Methods inherited from class org.apache.orc.impl.ConvertTreeReaderFactory.ConvertTreeReader

      `assignStringGroupVectorEntry, assignStringGroupVectorEntry, convertStringGroupVectorElement, convertVector, doubleCanFitInLong, downCastAnyInteger, downCastAnyInteger, getIsParseError, integerDownCastNeeded, parseDecimalFromString, parseDoubleFromString, parseFloatFromString, parseLongFromString, seek, seek`

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setConvertVectorElement

          public void setConvertVectorElement(int elementNum)

      Description copied from class: `ConvertTreeReaderFactory.ConvertTreeReader`
      Override this to use convertVector. Source and result are member variables in the subclass with the right type.
      Overrides:
        `setConvertVectorElement` in class `ConvertTreeReaderFactory.StringGroupFromAnyIntegerTreeReader`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.